Subject: Source tree 2.1.126.. Progress, but HELP

From: John Ballance <[email-masked]>
Date: Sun, 01 Nov 1998 23:50:39

Hi folks

firstly thanks to all who replied to my earlier query.. things have
gone much further now, but I'm still not able to compile:

 Here's what I've done:
1. pulled the full 2.1.126 source tree from the armlinux ftp site

2. put it in /usr/src and did tar -xzf to it

3. HOORAY.. found it is (in theory) already patched for arm.. i.e. its no
use to run the patches on it

4. need to modify 2 bits in linux/Makefile..
  a)  comment out the SPM definition about 6 lines in
  b)  add an additional colon after the symlinks: target, about 126 lines in

5. created the following file and ran it from linux dir:

  make mrproper
  ln -sf /usr/src/linux/include/linux /usr/include
  ln -sf /usr/src/linux/include/asm /usr/include
  ln -sf /usr/src/linux/include/scsi /usr/include
  echo > /usr/src/linux/include/linux/autoconf.h 
  mkdir /usr/src/linux/arch/arm/drivers
  cp /usr/src/linkitmf /usr/src/linux/arch/arm/drivers/Makefile
  make config
  make symlinks
  make clean
  make dep
  
where /usr/src/linkitmf is an empty Makefile as follows:
  mrproper:

  fastdep:

6. this runs and creates the dependency files without reporting errors

7. then ran make clean

8. then ran make vmlinux  (or make zImage)
  lots of chuntering, then the following error report:

    init/main.c:399 section attributes not supported for this target
 (repeated for lines 538 and 846)
  this seems to be where it is trying to __initdata { an array

  using gcc 2.7.2.2

whats amiss?  do I need a later gcc, if so, which version, and from where

-- 
                      John Ballance
 Castle Technology, Ore Trading Estate, Woodbridge Road, Framlingham,
Suffolk UK IP13 9LL  Tel  44 (0) 1728 621 631, Fax  44 (0) 1728 621 179
web: http://www.castle-technology.co.uk or http://www.castlet.demon.co.uk

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Mon, 2 Nov 1998 10:45:56 +0000 (GMT)

> 1. pulled the full 2.1.126 source tree from the armlinux ftp site

Beware - the armlinux ftp site is a shared server (it's also ftp.linux.org.uk
as well), and therefore contains other non-ARM works.

> use to run the patches on it

Not quite.  Linus' tree does have some of the ARM stuff in, however it is not
complete.  I would suggest getting a copy of the latest patch as well.

>   echo > /usr/src/linux/include/linux/autoconf.h 

This is actually the interesting part.  I've noticed that you /need/ to have
autoconf.h present in order to make config (which is silly).  I'm looking into
this now.

> whats amiss?  do I need a later gcc, if so, which version, and from where

You do indeed require a later version of both gcc and binutils.  I'm sure
that Phil B. will post a followup message explaining this side of things.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Philip Blundell <[email-masked]>
Date: Mon, 02 Nov 1998 12:05:46 +0100

>  a)  comment out the SPM definition about 6 lines in

If you had to do that then your tree didn't have the ARM patches applied.  It 
sounds like you've got vanilla 2.1.126 which has just enough ARM stuff 
included to trick the casual observer into thinking it should work - but in 
fact it won't.

>whats amiss?  do I need a later gcc, if so, which version, and from where

Probably.  The FAQ has an (admittedly slightly terse) mention of this:

	http://www.arm.uk.linux.org/armlinux/faq.html#misc002

See http://egcs.cygnus.com/ for information about where to get egcs.  You can 
get binutils from sunsite.unc.edu or tsx-11.mit.edu; look in /pub/linux/GCC or 
/pub/linux/packages/GCC.  You must install binutils before you try to compile 
GCC.

p.

---

From: Philip Blundell <[email-masked]>
Date: Mon, 02 Nov 1998 12:06:25 +0100

>autoconf.h present in order to make config (which is silly).  I'm looking into

I've never noticed that.  Bizarre.

p.